| OpendTect 8.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | List of all members
IdxPair Class Reference
Basic

A pair of numbers; base class for BinID et al. More...

`#include <idxpair.h>`

Inheritance diagram for IdxPair:
[legend]

## Public Types
using | IdxType = Index_Type

## Public Member Functions
| IdxPair ()
| IdxPair (IdxType, IdxType)
| ~IdxPair ()
const char * | getUsrStr (const char *prefx, const char *sep, const char *postfx, bool only2nd) const
bool | isUdf () const
bool | operator!= (const IdxPair &oth) const
bool | operator== (const IdxPair &) const
od_int32 & | operator[] (int idx)
od_int32 | operator[] (int idx) const
bool | parseUsrStr (const char *str, const char *prefx, const char *sep, const char *postfx)
void | setUdf ()

## Static Public Member Functions
static const IdxPair & | udf ()

## Detailed Description

A pair of numbers; base class for BinID et al.

<>

## Member Typedef Documentation

## ◆ IdxType

using IdxPair::IdxType = Index_Type

## Constructor & Destructor Documentation

## ◆ IdxPair() [1/2]

IdxPair::IdxPair | ( |  | ) |

## ◆ IdxPair() [2/2]

IdxPair::IdxPair | ( | IdxType | ,
|  | IdxType | )

## ◆ ~IdxPair()

IdxPair::~IdxPair | ( |  | ) |

## Member Function Documentation

## ◆ getUsrStr()

const char * IdxPair::getUsrStr | ( | const char * | prefx,
|  | const char * | sep,
|  | const char * | postfx,
|  | bool | only2nd ) const

## ◆ isUdf()

bool IdxPair::isUdf | ( |  | ) | const
| inline

## ◆ operator!=()

bool IdxPair::operator!= | ( | const IdxPair & | oth | ) | const
| inline

## ◆ operator==()

bool IdxPair::operator== | ( | const IdxPair & | oth | ) | const
| inline

## ◆ operator[]() [1/2]

od_int32 & IdxPair::operator[] | ( | int | idx | ) |
| inline

## ◆ operator[]() [2/2]

od_int32 IdxPair::operator[] | ( | int | idx | ) | const
| inline

## ◆ parseUsrStr()

bool IdxPair::parseUsrStr | ( | const char * | str,
|  | const char * | prefx,
|  | const char * | sep,
|  | const char * | postfx )

## ◆ setUdf()

void IdxPair::setUdf | ( |  | ) |
| inline

## ◆ udf()

static const IdxPair & IdxPair::udf | ( |  | ) |
| static

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025